結果だけでなく過程も見てください

たい焼きさんの日々の奮闘を綴る日記です。

ESXiサーバのバージョンを4.1 Update3から5.5 Update1にアップグレードしようとして失敗しました

以下の手順を実施して失敗しました。

以下にアクセスしてサインインします。
http://www.vmware.com/jp/products/vsphere-hypervisor/

ダウンロードする製品(今回はESXiのバージョン5)の利用規約
同意するため[Register]ボタンを押して同意します。

今回は「VMware vSphere Hypervisor 5.5 Update 1 - Binaries」をダウンロードしました。
isoイメージなのでCDに焼きます。(最近ならたぶんDVDでも大丈夫だと思います)
※↓の方で言っていますが、USBメモリからのブートに切り替えてます。

CDブートします。(ワケあってUSB CD/DVDドライブからのインストールとなったのですが、問題なく起動できました。)

インストーラーに従い、先へ進みます。
アップグレードするディスクを選ぶ箇所で、ESXi4.1の設定を引き継ぐので、
「Force Migrate ESX, preserve VMFS datastore」を選択してください。

インストーラーを画面付きで見たい方は以下のサイトを参考にしてみてください。
http://jsworld.jp/surasura/mgh?contentid=vir008p006

問題1 廃止されたデバイスドライバ

私の場合、すでに廃止されたデバイスを使用していたためWarningが発生しました。

oem-vmware-esx-drivers-net-vxge
oem-vmware-esx-drivers-scsi-3w-9xxx

http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2056935
ここを見ると、たぶんちゃんと動くけど、正式サポートしないというものらしい。
続行することにしました。

問題2 メモリ不足エラー

MEMORY_SIZE ERROR: This host has 3.94 GiB of RAM. 4.00 GiB are needed

問題はこれ。
4GB必要だけど3.94GBしかない…?
いちおう4GB積んでいるのですが…。

2GB以下で失敗するというのは聞いていたが…うまくできないものだろうか〜と
探していたら以下の方法を見つけました。
http://simon-simonnaes.blogspot.co.uk/2012/09/installing-esxi-5-on-less-than-2gb-ram.html

ちょっとUSBブートでやってみようと思います。
USBメモリどこやったかなぁ。